@import "./variables";

/* BTN */
.btn {
    text-transform: uppercase;
    font-family: $font-montserrat;
    padding: 8.5px;
    border-radius: $border-radius;
    font-size: 18px;
    min-width: 160px;
    @media (max-width: $md) {
        min-width: auto;
    }
}

.btn-iprimary {
    background-color: $primarycolor;
    color: $white;
    &:hover {
        background-color: $primarycolor-hover;
        color: $white;
    }
}

.btn-iprimary-outline {
    background-color: $white;
    color: $primarycolor;
    border: 1px solid $primarycolor;
    &:hover {
        background-color: $primarycolor-hover;
        border: 1px solid $primarycolor-hover;
        color: $white;
    }
}

.btn-isecundary {
    background-color: $white;
    color: $primarycolor;
    &:hover {
        background-color: $gray;
        color: $primarycolor;
    }
}

.btn-simple {
    font-size: 14px;
    font-weight: 500;
    text-transform: uppercase;
    padding: 2px 8px;
    border: none;
    background-color: transparent;
    &.attention {
        color: $attention;
    }
    &.action {
        color: $action;
    }
}